From: nbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Date: Sun, 3 Jul 2005 00:34:35 +0000 (+0000)
Subject: add irssi
X-Git-Url: https://git.rohieb.name/openwrt.git/commitdiff_plain/3ce8007ff22e3b3edb74338b0f95f136efb1aa30

add irssi


git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@1319 3c298f89-4303-0410-b956-a3cf2f4a3e73
---

diff --git a/package/Config.in b/package/Config.in
index 5d98370a5..dd4a1163c 100644
--- a/package/Config.in
+++ b/package/Config.in
@@ -126,6 +126,7 @@ source "package/libtasn1/Config.in"
 source "package/libusb/Config.in"
 source "package/uclibc++/Config.in"
 source "package/zlib/Config.in"
+source "package/irssi/Config.in"
 
 comment "Serial communications & terminal emulation ---"
 source "package/microcom/Config.in"
diff --git a/package/Makefile b/package/Makefile
index 33566cf4b..f06525944 100644
--- a/package/Makefile
+++ b/package/Makefile
@@ -35,6 +35,7 @@ package-$(BR2_PACKAGE_HTPDATE) += htpdate
 package-$(BR2_PACKAGE_IPKG) += ipkg
 package-$(BR2_PACKAGE_IPROUTE2) += iproute2
 package-$(BR2_PACKAGE_IPTABLES) += iptables
+package-$(BR2_PACKAGE_IRSSI) += irssi
 package-$(BR2_PACKAGE_KISMET) += kismet
 package-$(BR2_PACKAGE_L2TPD) += l2tpd
 package-$(BR2_PACKAGE_LCD4LINUX) += lcd4linux
diff --git a/package/irssi/Config.in b/package/irssi/Config.in
new file mode 100644
index 000000000..226856789
--- /dev/null
+++ b/package/irssi/Config.in
@@ -0,0 +1,11 @@
+config BR2_PACKAGE_IRSSI
+	tristate "irssi - console irc client"
+	default m if CONFIG_DEVEL
+	select BR2_PACKAGE_GLIB1
+	select BR2_PACKAGE_LIBNCURSES
+
+	help
+	IRC client for the text console
+	 
+	http://irssi.org
+	  
diff --git a/package/irssi/Makefile b/package/irssi/Makefile
new file mode 100644
index 000000000..fa70e148f
--- /dev/null
+++ b/package/irssi/Makefile
@@ -0,0 +1,70 @@
+# $Id$
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=irssi
+PKG_VERSION:=0.8.9
+PKG_RELEASE:=1
+
+PKG_SOURCE_URL:=http://irssi.org/files/
+PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
+PKG_MD5SUM:=1df516a770656ff0bec0ab62f9096bf6
+PKG_CAT:=zcat
+
+PKG_BUILD_DIR:=$(BUILD_DIR)/$(PKG_NAME)-$(PKG_VERSION)
+
+include $(TOPDIR)/package/rules.mk
+
+$(eval $(call PKG_template,IRSSI,irssi,$(PKG_VERSION)-$(PKG_RELEASE),$(ARCH)))
+
+$(PKG_BUILD_DIR)/.configured:
+	(cd $(PKG_BUILD_DIR); rm -rf config.cache; \
+		$(TARGET_CONFIGURE_OPTS) \
+		CFLAGS="$(TARGET_CFLAGS) -I$(STAGING_DIR)/usr/include" \
+		ac_cv_c_bigendian=no \
+		ac_cv_sizeof_off_t=8 \
+		./configure \
+		--target=$(GNU_TARGET_NAME) \
+		--host=$(GNU_TARGET_NAME) \
+		--build=$(GNU_HOST_NAME) \
+		--prefix=/usr \
+		--exec-prefix=/usr \
+		--bindir=/usr/bin \
+		--sbindir=/usr/sbin \
+		--libexecdir=/usr/lib \
+		--sysconfdir=/etc \
+		--datadir=/usr/share \
+		--localstatedir=/var \
+		--mandir=/usr/man \
+		--infodir=/usr/info \
+		--program-prefix="" \
+		--with-perl=no \
+		--with-glib1 \
+		--with-gnu-ld \
+		--with-textui \
+		--without-terminfo \
+		--without-bot \
+		--without-file-offset-size \
+		--without-ssl \
+		$(DISABLE_NLS) \
+		--disable-ssl \
+		--disable-ipv6 \
+		--disable-proxy \
+		--with-glib-prefix=$(STAGING_DIR)/usr \
+	);
+	touch $@
+
+$(PKG_BUILD_DIR)/.built:
+	$(MAKE) -C $(PKG_BUILD_DIR) \
+		CC=$(TARGET_CC)
+	touch $@
+
+$(IPKG_IRSSI): 
+	mkdir -p $(IDIR_IRSSI)/usr/bin
+	cp $(PKG_BUILD_DIR)/src/fe-text/$(PKG_NAME) $(IDIR_IRSSI)/usr/bin/
+	$(STRIP) $(IDIR_IRSSI)/usr/bin/*
+	$(IPKG_BUILD) $(IDIR_IRSSI) $(PACKAGE_DIR)
+
+mostlyclean:
+	$(MAKE) -C $(PKG_BUILD_DIR) clean
+	rm -f $(PKG_BUILD_DIR)/.built
diff --git a/package/irssi/ipkg/irssi.control b/package/irssi/ipkg/irssi.control
new file mode 100644
index 000000000..e845eb8cf
--- /dev/null
+++ b/package/irssi/ipkg/irssi.control
@@ -0,0 +1,7 @@
+Package: irssi
+Priority: optional
+Section: text
+Maintainer: Felix Fietkau <nbd@vd-s.ath.cx>
+Depends: glib1, libpthread, libncurses
+Source: buildroot internal
+Description: IRC text client
diff --git a/package/irssi/patches/100-cross_compiling_fix.patch b/package/irssi/patches/100-cross_compiling_fix.patch
new file mode 100644
index 000000000..be274ee68
--- /dev/null
+++ b/package/irssi/patches/100-cross_compiling_fix.patch
@@ -0,0 +1,54 @@
+diff -Nurd irssi-0.8.9/configure ../../build_mipsel/irssi-0.8.9/configure
+--- irssi-0.8.9/configure	2003-12-10 23:23:05.000000000 +0000
++++ ../../build_mipsel/irssi-0.8.9/configure	2005-01-28 21:55:37.605247160 +0000
+@@ -21032,13 +21032,6 @@
+ 
+ echo "$as_me:$LINENO: checking size of off_t" >&5
+ echo $ECHO_N "checking size of off_t... $ECHO_C" >&6
+-if test "$cross_compiling" = yes; then
+-  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&5
+-echo "$as_me: error: cannot run test program while cross compiling
+-See \`config.log' for more details." >&2;}
+-   { (exit 1); exit 1; }; }
+-else
+   cat >conftest.$ac_ext <<_ACEOF
+ #line $LINENO "configure"
+ /* confdefs.h.  */
+@@ -21057,35 +21050,8 @@
+   }
+ 
+ _ACEOF
+-rm -f conftest$ac_exeext
+-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+-  (eval $ac_link) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+-  (eval $ac_try) 2>&5
+-  ac_status=$?
+-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+-  (exit $ac_status); }; }; then
+-
+-  sizeof_off_t=`cat conftestval`
+-  rm -f conftestval
+-
+-else
+-  echo "$as_me: program exited with status $ac_status" >&5
+-echo "$as_me: failed program was:" >&5
+-sed 's/^/| /' conftest.$ac_ext >&5
+-
+-( exit $ac_status )
+-
+-  { { echo "$as_me:$LINENO: error: Unsupported off_t size" >&5
+-echo "$as_me: error: Unsupported off_t size" >&2;}
+-   { (exit 1); exit 1; }; }
+-
+-fi
++  sizeof_off_t=8
+ rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+-fi
+ echo "$as_me:$LINENO: result: $sizeof_off_t" >&5
+ echo "${ECHO_T}$sizeof_off_t" >&6
+